Subject: Re: linux-next: Tree for Sep 20

From: Michael Ellerman <[email-masked]>
Date: Mon, 24 Sep 2018 13:43:09 +1000

Rob Herring <[email-masked]> writes:
> On Thu, Sep 20, 2018 at 4:18 AM Stephen Rothwell <[email-masked]> wrote:
>> On Thu, 20 Sep 2018 21:10:08 +1000 Stephen Rothwell <[email-masked]> wrote:
>> > On Thu, 20 Sep 2018 20:37:37 +1000 Michael Ellerman <[email-masked]> wrote:
>> > > Oodles of:
>> > >
>> > >   # < make -s -j 48 ARCH=arm64 O=/kisskb/build/linux-next_arm64-allnoconfig_arm64 CROSS_COMPILE=/opt/cross/kisskb/br-aarch64-glibc-2016.08-613-ge98b4dd/bin/aarch64-linux-  allnoconfig
>> > >   # make -s -j 48 ARCH=arm64 O=/kisskb/build/linux-next_arm64-allnoconfig_arm64 CROSS_COMPILE=/opt/cross/kisskb/br-aarch64-glibc-2016.08-613-ge98b4dd/bin/aarch64-linux-
>> > >   /bin/sh: 1: pkg-config: not found
>>       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>>
>> > don't have it installed on my build machine either ...  do we have
>> > pkg-config installed in the build images?
>>
>> Duh! ;-)
>>
>> According to the commit message we gained a kconfig dependency on
>> pkg-config in 4.18.  I wonder what else depends on it.
>>
>> Ah:
>>
>> "pkg-config
>> ----------
>>
>> The build system, as of 4.18, requires pkg-config to check for installed
>> kconfig tools and to determine flags settings for use in
>> 'make {g,x}config'.  Previously pkg-config was being used but not
>> verified or documented."
>
> Looks like until a recent commit, this also included nconfig and
> menuconfig, but those were dropped after some complaints. I'll rework
> this to make things work with pkg-config.

OK thanks.

I'll install pkg-config in the kisskb builders anyway, so in future at
least that part will work.

cheers